Bug 504255 - IPv6 support in anaconda
IPv6 support in anaconda
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-05 02:50 EDT by A.J. Werkman
Modified: 2010-01-14 13:36 EST (History)
2 users (show)

See Also:
Fixed In Version: anaconda-13.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-14 13:36:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A.J. Werkman 2009-06-05 02:50:08 EDT
Description of problem:
Since F10 IPv6 support has been stripped out of anaconda because NetworkManager did not support it. Altough IPv6 support in NetworkManager has been promised to be in F11 (Bug 450088 comment #4), Fedora F11 can not be installed in a IPv6 only network over the network. Will this be set up again in the future F12?

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. Start anaconda installation in IPv6 only environment. Installation fails
2.
3.
  
Actual results:
I would expect to be able to install over a IPv6 only network.

Expected results:


Additional info:
Comment 1 Chris Lumens 2009-06-05 09:45:33 EDT
IPv6 is pretty much going to be a requirement for F12.  And we didn't really strip support out, so much as conditionalize it away.  All we need to do is recompile with different flags and it'll be back on all the dialogs.

I bet David's already got a bug report for this, so I'm reassigning it to him to deal with.
Comment 2 Bug Zapper 2009-06-09 13:06:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 A.J. Werkman 2009-09-06 07:33:46 EDT
If I uncheck IPv4 installation method in anaconda during installation, anaconda asks me to select either IPv4 or IPv6 for installation. But there is still no possibility to select IPv6 for installation over an IPv6 only network.

After reading Comment #1 I would expect the possibility in anaconda to install over an IPv6 network. Also I read in the feature list of F12 that IPv6 support in NetworkManager is a target for the F12 cycle.

I thought that the only reason not supporting IPv6 in anaconda the last few releases was the fact that NetworkManager did not support IPv6. So now NetworkManager has full support for IPv6 in F12, is it a target to be able to install fedora over IPv6 in the F12 development cycle?
Comment 4 David Cantrell 2009-09-07 16:27:38 EDT
NetworkManager does not have full IPv6 support yet, but we are following it.  Once the NetworkManager stuff is in place, we can enable IPv6 installation support in anaconda again.
Comment 5 A.J. Werkman 2009-09-09 03:42:36 EDT
Evaluating the what-if question regarding the enabling of ipv6 in anaconda, according to murphy's law, it seems likly there will be some bugs encountered.

I found that the bugzilla.redhat.com site is not IPv6 enabled. So in an IPv6 only scenario testing anaconda, at this moment it will not be possible to file these bugs automatically to bugzilla.

Wouldn't it be a good idea pullling some strings here, so when IPv6 will be enabled, that bugzilla can be reached over IPv6.
Comment 6 A.J. Werkman 2009-10-03 04:47:25 EDT
In follow up of comment #4, I see in the wiki Feature list, that the feature incorporating IPv6 in NetworkManager now is 100%.

What exactly blocks re-enabling IPv6 support in anaconda at this moment?
Comment 7 David Cantrell 2009-10-05 15:51:42 EDT
Time.  At this point, we need to enable the IPv6 screens in anaconda again, but update them to work with NM as the backend.
Comment 8 Bug Zapper 2009-11-16 05:01:39 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.